/* MYADDON.CPP - Sample C++ addon; subclass of VAddon
 * Copyright (C) 1996-1997 Visio Corporation. All rights reserved.
 *
 *
 *	You have a royalty-free right to use, modify, reproduce and distribute
 *	the Sample Application Files (and/or any modified version) in any way
 *	you find useful, provided that you agree that Visio has no warranty,
 *	obligations or liability for any Sample Application Files.
 *
 */

#include "vaddon.h"

#define ATTS (VAO_AOATTS_ISACTION | VAO_AOATTS_HASABOUT | VAO_AOATTS_WAITCRSR)

class MyAddon : public VAddon {

public:
	MyAddon(LPCTSTR pName):VAddon(ATTS, VAO_ENABLEALWAYS, 0, 0, pName) { };
	VAORC Run(LPVAOV2LSTRUCT pV2L);
};


//	Instantiate 2 (or more!) addons:
MyAddon addon01("Hi Nathan!");
MyAddon addon02("Hi Rachel!");



VAORC MyAddon::Run(LPVAOV2LSTRUCT pV2L)
{
	MessageBox(NULL, GetName(), "MyAddon", MB_OK);
	return VAORC_SUCCESS;
}
